## pytest 2.5.1

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

SITETARGET=latest

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

regen:
	PYTHONDONTWRITEBYTECODE=1 COLUMNS=76 regendoc --update *.txt */*.txt
    
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

install: html
	 rsync -avz _build/html/ pytest.org:/www/pytest.org/$(SITETARGET)

installpdf: latexpdf
	@scp $(BUILDDIR)/latex/pytest.pdf pytest.org:/www/pytest.org/$(SITETARGET)

installall: clean install installpdf
	@echo "done"

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

=== doc/ja/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

regen:
	PYTHONDONTWRITEBYTECODE=1 COLUMNS=76 regendoc --update *.txt */*.txt
    
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

install: html
	 rsync -avz _build/html/ pytest.org:/www/pytest.org/latest-ja

installpdf: latexpdf
	@scp $(BUILDDIR)/latex/pytest.pdf pytest.org:/www/pytest.org/latest

installall: clean install installpdf
	@echo "done"

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

## pytest 2.2.4

=== debian/changelog ===
pytest (2.2.4-2) unstable; urgency=low

  * Use rt{install, remove} mechanisms from the Python package to replace the
    wrapper system. /usr/bin/py.test-X.Y will now be available only if the
    corresponding python package is installed. Thanks to Jakub Wilk.

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 24 Jun 2012 21:53:21 +0200

pytest (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Drop patch fix-grammar-manpage (included upstream)
  * Bump the dependency to python[3]-py to >= 1.4.8

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 03 Jun 2012 03:04:02 +0200

pytest (2.2.3-3) unstable; urgency=low

  * Fix the version detection in the wrapper (Closes: #668691)

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 17 Apr 2012 12:56:18 +0200

pytest (2.2.3-2) unstable; urgency=low

  * Fix the shell wrapper (Closes: #668519)
  * Use the wrapper for py.test and py3-test to simplify d/rules
  * Enable test suite
    + Uncomment the override_dh_auto_test target
  * Build-Conflicts on old versions of python-pytest-xdist (<< 1.5)

 -- Simon Chopin <chopin.simon@gmail.com>  Fri, 13 Apr 2012 20:34:00 +0200

pytest (2.2.3-1) unstable; urgency=low

  * Initial release (Closes: #664071)
  * Disable the test suite for the bootstrap.

 -- Simon Chopin <chopin.simon@gmail.com>  Wed, 11 Apr 2012 15:09:52 +0200

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>
Build-Depends:
 debhelper (>= 8),
 python-all (>= 2.6.6-3~),
 python-py,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python3-all (>= 3.1.2-6~),
 python3-py,
 python3-setuptools
Build-Conflicts: python-pytest-xdist (<< 1.5)
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0
Standards-Version: 3.9.3
Homepage: http://pytest.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pytest/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pytest/trunk/

Package: python-pytest
Architecture: all
Depends:
 python-pkg-resources,
 python-py (>= 1.4.8),
 ${misc:Depends},
 ${python:Depends}
Breaks: python-py (<< 1.4)
Replaces: python-py (<< 1.4)
Description: Simple, powerful testing in Python
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.

Package: python3-pytest
Architecture: all
Depends:
 python3-pkg-resources,
 python3-py (>= 1.4.8),
 ${misc:Depends},
 ${python3:Depends}
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py3.test script.

Package: python-pytest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-pytest | python3-pytest
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -vr)
PY3VERS := $(shell py3versions -vr)

UPSTREAM = $(shell dpkg-parsechangelog | grep Version | sed 's/Version: \(.*\)-.*/\1/' )

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	# Build for all versions.
	set -ex; \
	for py in $(PYVERS) $(PY3VERS); do \
		python$$py setup.py build; \
	done
	PYTHONPATH=`pwd` make -C doc/ man
	cp doc/_build/man/pytest.1 debian/py.test.1
	cp debian/py.test.1 debian/py.test-3.1
	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1
	PYTHONPATH=`pwd` make -C doc/ html

override_dh_compress:
	dh_compress -X.html

override_dh_install:
	# Only install for the default versions.
	python setup.py install --skip-build --no-compile \
							--root debian/python-pytest \
							--install-layout=deb
	rm debian/python-pytest/usr/bin/*
	install -m 755 debian/py.test.template debian/python-pytest/usr/bin/py.test
	sed -i 's/#UPSTREAMVERSION#/$(UPSTREAM)/' debian/python-pytest/usr/bin/py.test
	sed -i 's,#PYSHEBANG#,#!/usr/bin/python,' debian/python-pytest/usr/bin/py.test
	python3 setup.py install --skip-build --no-compile \
								--root debian/python3-pytest \
								--install-layout=deb
	rm debian/python3-pytest/usr/bin/*
	install -m 644 debian/py.test.template debian/python3-pytest/usr/bin/py.test-3
	sed -i 's/#UPSTREAMVERSION#/$(UPSTREAM)/' debian/python3-pytest/usr/bin/py.test-3
	sed -i 's,#PYSHEBANG#,#!/usr/bin/python3,' debian/python3-pytest/usr/bin/py.test-3
	dh_install

override_dh_auto_clean:
	rm -rf doc/_build build pytest.egg-info
	find . \( -name '*.py[oc]' -o -name __pycache__ \) -delete
	dh_auto_clean

override_dh_clean:
	rm debian/py.test.1 debian/py.test-3.1 -f
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
	for py in $(PYVERS) $(PY3VERS); do \
		PYTHONPATH=$(CURDIR) python$$py -m pytest testing ; \
	done
endif

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/p/pytest/pytest-(.+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest 2.3.2

=== debian/changelog ===
pytest (2.3.2-0ubuntu2) raring; urgency=low

  * Revert required py version to 1.4.8 for now, since Ubuntu doesn't yet
    ship 1.4.11 and the newer version does not appear to be a hard
    requirement.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Nov 2012 12:31:57 +0000

pytest (2.3.2-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 29 Oct 2012 16:18:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pytest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
  debhelper (>= 8),

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,13 @@
 	for py in $(PYVERS) $(PY3VERS); do \
 		python$$py setup.py build; \
 	done
-	PYTHONPATH=`pwd` make -C doc/ man
-	cp doc/_build/man/pytest.1 debian/py.test.1
+	PYTHONPATH=`pwd` make -C doc/en/ man
+	cp doc/en/_build/man/pytest.1 debian/py.test.1
 	cp debian/py.test.1 debian/py.test-3.1
 	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
 	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
 	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1
-	PYTHONPATH=`pwd` make -C doc/ html
+	PYTHONPATH=`pwd` make -C doc/en html
 
 override_dh_compress:
 	dh_compress -X.html
@@ -48,7 +48,7 @@
 	dh_install
 
 override_dh_auto_clean:
-	rm -rf doc/_build build pytest.egg-info
+	rm -rf doc/en/_build build pytest.egg-info
 	find . \( -name '*.py[oc]' -o -name __pycache__ \) -delete
 	dh_auto_clean

## pytest 2.3.5

=== debian/changelog ===
pytest (2.3.5-1svn1~cloud0) precise-havana; urgency=low

  * New package for the Ubuntu Cloud Archive to support testing of
    msgpack-python.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Aug 2013 14:07:22 +0100

pytest (2.3.5-1svn1) saucy; urgency=low

  Upload current Debian packaging svn head to fix autopkgtest.

  * debian/tests/control: Drop trailing comma from test dependencies, which
    causes autopkgtest to fail.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Jul 2013 08:52:17 +0200

pytest (2.3.5-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Simon Chopin ]
  * New upstream version (Closes: #707151)
  * B-D on debhelper 8.1 to conform to Policy 3.9.4
  * Add DEP-8 tests (Closes: #702121)
  * Patch the tests to restore the permissions of the tmpdir used in tests

  [ Sebastian Ramacher ]
  * Upload to unstable.

 -- Simon Chopin <chopin.simon@gmail.com>  Mon, 20 May 2013 20:31:42 +0200

pytest (2.3.4-1~exp2) experimental; urgency=low

  * Fix the version detection regexp to be less inclusive (Closes: #703351)
  * Adjust the shebang replacement regexp in postinst and rtinstall.
    Thanks to Roderich Schupp.
  * Remove the doc build directory in the clean target (Closes: #702117)

 -- Simon Chopin <chopin.simon@gmail.com>  Fri, 22 Mar 2013 14:24:48 +0100

pytest (2.3.4-1~exp1) experimental; urgency=low

  * Upload new upstream release to experimental (Closes: #699312)
    + Update the patch paths to build only the English documentation
  * Fix the permissions for the py.test-3 executable.
  * Up the dependency on python-py to 1.4.11
  * Add python(3)-nose, python-pexpect, python(3)-mock (>= 1.0.1)
    and python-twisted-core as Build-Depends to skip less tests.
  * Suggests python-mock (>= 1.0.1) in python-pytest
  * Bump Standards-Version to 3.9.4, no change needed.
  * Update copyright year.

 -- Simon Chopin <chopin.simon@gmail.com>  Sat, 02 Mar 2013 17:13:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,40 @@
 Source: pytest
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 8.1),
  python-all (>= 2.6.6-3~),
- python-py,
+ python-py (>= 1.4.13),
+ python-twisted-core,
+ python-pexpect,
+ python-nose,
+ python-mock (>= 1.0.1),
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
  python3-py,
+ python3-nose,
+ python3-mock (>= 1.0.1),
  python3-setuptools
 Build-Conflicts: python-pytest-xdist (<< 1.5)
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pytest.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pytest/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pytest/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pytest/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pytest/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-pytest
 Architecture: all
 Depends:
  python-pkg-resources,
- python-py (>= 1.4.8),
+ python-py (>= 1.4.13),
  ${misc:Depends},
  ${python:Depends}
+Suggests: python-mock (>= 1.0.1)
 Breaks: python-py (<< 1.4)
 Replaces: python-py (<< 1.4)
 Description: Simple, powerful testing in Python
@@ -39,7 +46,7 @@
 Architecture: all
 Depends:
  python3-pkg-resources,
- python3-py (>= 1.4.8),
+ python3-py (>= 1.4.11),
  ${misc:Depends},
  ${python3:Depends}
 Description: Simple, powerful testing in Python3

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYVERS :=  $(shell pyversions -vr)
 PY3VERS := $(shell py3versions -vr)
 
-UPSTREAM = $(shell dpkg-parsechangelog | grep Version | sed 's/Version: \(.*\)-.*/\1/' )
+UPSTREAM = $(shell dpkg-parsechangelog | egrep "^Version: "| sed 's/Version: \(.*\)-.*/\1/' )
 
 %:
 	dh $@ --with python2,python3,sphinxdoc
@@ -18,13 +18,13 @@
 	for py in $(PYVERS) $(PY3VERS); do \
 		python$$py setup.py build; \
 	done
-	PYTHONPATH=`pwd` make -C doc/en/ man
+	PYTHONPATH=`pwd` make -C doc/en man
 	cp doc/en/_build/man/pytest.1 debian/py.test.1
 	cp debian/py.test.1 debian/py.test-3.1
 	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
 	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
 	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1
-	PYTHONPATH=`pwd` make -C doc/en html
+	PYTHONPATH=`pwd` make -C doc/en/ html
 
 override_dh_compress:
 	dh_compress -X.html
@@ -42,7 +42,7 @@
 								--root debian/python3-pytest \
 								--install-layout=deb
 	rm debian/python3-pytest/usr/bin/*
-	install -m 644 debian/py.test.template debian/python3-pytest/usr/bin/py.test-3
+	install -m 755 debian/py.test.template debian/python3-pytest/usr/bin/py.test-3
 	sed -i 's/#UPSTREAMVERSION#/$(UPSTREAM)/' debian/python3-pytest/usr/bin/py.test-3
 	sed -i 's,#PYSHEBANG#,#!/usr/bin/python3,' debian/python3-pytest/usr/bin/py.test-3
 	dh_install

## pytest 2.4.2

=== debian/changelog ===
pytest (2.4.2-1) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Drop trailing comma from test dependencies, which
    causes autopkgtest to fail.

  [ Simon Chopin ]
  * New upstream release (Closes: #728526)
    + Drop the reset-tmpdir-mode patch as the issue has been adressed upstream
  * Bump the policy version to 3.9.5 (no changes needed)
  * Bump copyright years and remove the paragraph for distribute_setup.py

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 24 Nov 2013 22:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Build-Conflicts: python-pytest-xdist (<< 1.5)
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pytest.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pytest/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pytest/trunk/

## pytest 2.5.1

=== debian/changelog ===
pytest (2.5.1-1~ctools1) precise; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 08 Jul 2014 18:35:17 -0400

pytest (2.5.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * d/control: Update python-py and python3-py dependency versions.
    Closes: #731299
  * d/patches/remove_google_js: Refreshed.

 -- Barry Warsaw <barry@debian.org>  Thu, 12 Dec 2013 10:27:41 -0500

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/p/pytest/pytest-(.+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest 2.6.0

=== debian/changelog ===
pytest (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Bump version requirements for python(3)-py to >= 1.4.22.
  * Use local copy of Python's objects.inv. (Closes: #739406)
    - debian/control: Add python-doc to Build-Depends.
    - debian/patches/local-intersphinx: Add patch to python-doc's copy to
      objects.inv.
  * debian/copyright: Update copyright years.
  * debian/patches/remove-herokuapp-images: Remove images fetched from
    herokuapps.com.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Jul 2014 10:58:07 +0200

pytest (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches/remove_google_js: Refreshed.

 -- Barry Warsaw <barry@debian.org>  Mon, 28 Apr 2014 18:10:47 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8.1),
  python-all (>= 2.6.6-3~),
- python-py (>= 1.4.13),
+ python-py (>= 1.4.22),
  python-twisted-core,
  python-pexpect,
  python-nose,
@@ -14,10 +14,11 @@
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
- python3-py,
+ python3-py (>= 1.4.22),
  python3-nose,
  python3-mock (>= 1.0.1),
- python3-setuptools
+ python3-setuptools,
+ python-doc
 Build-Conflicts: python-pytest-xdist (<< 1.5)
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
@@ -31,7 +32,7 @@
 Architecture: all
 Depends:
  python-pkg-resources,
- python-py (>= 1.4.13),
+ python-py (>= 1.4.22),
  ${misc:Depends},
  ${python:Depends}
 Suggests: python-mock (>= 1.0.1)
@@ -46,7 +47,7 @@
 Architecture: all
 Depends:
  python3-pkg-resources,
- python3-py (>= 1.4.11),
+ python3-py (>= 1.4.22),
  ${misc:Depends},
  ${python3:Depends}
 Description: Simple, powerful testing in Python3

## pytest 2.6.3

=== debian/changelog ===
pytest (2.6.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump version requirements for python(3)-py to >= 1.4.25.
    (Closes: #765844)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Oct 2014 06:18:11 +0200

pytest (2.6.3-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years
  * Correct the license information on the documentation themes
  * Refresh remove-herokuapp-images patch.

 -- Simon Chopin <chopin.simon@gmail.com>  Mon, 13 Oct 2014 12:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8.1),
  python-all (>= 2.6.6-3~),
- python-py (>= 1.4.22),
+ python-py (>= 1.4.25),
  python-twisted-core,
  python-pexpect,
  python-nose,
@@ -14,7 +14,7 @@
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
- python3-py (>= 1.4.22),
+ python3-py (>= 1.4.25),
  python3-nose,
  python3-mock (>= 1.0.1),
  python3-setuptools,
@@ -22,7 +22,7 @@
 Build-Conflicts: python-pytest-xdist (<< 1.5)
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pytest.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pytest/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pytest/trunk/
@@ -32,7 +32,7 @@
 Architecture: all
 Depends:
  python-pkg-resources,
- python-py (>= 1.4.22),
+ python-py (>= 1.4.25),
  ${misc:Depends},
  ${python:Depends}
 Suggests: python-mock (>= 1.0.1)
@@ -47,7 +47,7 @@
 Architecture: all
 Depends:
  python3-pkg-resources,
- python3-py (>= 1.4.22),
+ python3-py (>= 1.4.25),
  ${misc:Depends},
  ${python3:Depends}
 Description: Simple, powerful testing in Python3

=== debian/tests/control ===
Tests: unittests-python2
Depends:
 @,
 python-all,
 python-mock (>= 1.0.1),
 python-nose,
 python-pexpect,
 python-pytest-xdist,
 python-twisted-core

Tests: unittests-python3
Depends:
 @,
 python3-all,
 python3-mock (>= 1.0.1),
 python3-nose

## pytest 2.7.2

=== doc/en/Makefile ===
--- 
+++ 
@@ -12,45 +12,41 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-SITETARGET=latest
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
 
-regen:
-	PYTHONDONTWRITEBYTECODE=1 COLUMNS=76 regendoc --update *.txt */*.txt
     
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
-	@echo "  dirhtml    to make HTML files named index.html in directories"
-	@echo "  singlehtml to make a single large HTML file"
-	@echo "  pickle     to make pickle files"
-	@echo "  json       to make JSON files"
-	@echo "  htmlhelp   to make HTML files and a HTML help project"
-	@echo "  qthelp     to make HTML files and a qthelp project"
-	@echo "  devhelp    to make HTML files and a Devhelp project"
-	@echo "  epub       to make an epub"
-	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  texinfo    to make Texinfo files"
-	@echo "  info       to make Texinfo files and run them through makeinfo"
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
-	@echo "  text       to make text files"
-	@echo "  man        to make manual pages"
-	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  showtarget to show the pytest.org target directory"
+	@echo "  install    to install docs to pytest.org/SITETARGET"
+	@echo "  install-ldf to install the doc pdf to pytest.org/SITETARGET"
+	@echo "  regen      to regenerate pytest examples using the installed pytest"
 	@echo "  linkcheck  to check all external links for integrity"
-	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
 	-rm -rf $(BUILDDIR)/*
 
+SITETARGET=$(shell ./_getdoctarget.py)
+
+showtarget:
+	@echo $(SITETARGET)
+
 install: html
-	 rsync -avz _build/html/ pytest.org:/www/pytest.org/$(SITETARGET)
+	 # for access talk to someone with login rights to
+	 # pytest-dev@pytest.org to add your ssh key
+	 rsync -avz _build/html/ pytest-dev@pytest.org:pytest.org/$(SITETARGET)
 
 installpdf: latexpdf
-	@scp $(BUILDDIR)/latex/pytest.pdf pytest.org:/www/pytest.org/$(SITETARGET)
+	@scp $(BUILDDIR)/latex/pytest.pdf pytest-dev@pytest.org:pytest.org/$(SITETARGET)
 
 installall: clean install installpdf
 	@echo "done"
+
+regen:
+	PYTHONDONTWRITEBYTECODE=1 COLUMNS=76 regendoc --update *.txt */*.txt
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
pytest (2.7.2-2~nd14.04+1) trusty; urgency=low

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 27 Jul 2015 17:00:04 -0400

pytest (2.7.2-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/issue744-py35-compat: Upstream patch to fix Python 3.5
    compatibility by handling the change in the ast module API.

 -- Barry Warsaw <barry@debian.org>  Fri, 17 Jul 2015 11:38:21 -0400

pytest (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Bump version requirements for python(,3)-py to >= 1.4.29.
    - Drop obsolete Breaks and Replaces.
    - Add dh-python to Build-Depends.
    - Bump version requirements for debhelper to >= 9.
  * debian/compat: Bump to 9.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Jul 2015 17:45:55 +0200

pytest (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/remove-herokuapp-images: Refreshed.
  * debian/watch: Use PyPI redirector.
  * debian/copyright: Remove unused paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 14 May 2015 16:22:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: pytest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
- debhelper (>= 8.1),
+ debhelper (>= 9),
+ dh-python,
  python-all (>= 2.6.6-3~),
- python-py (>= 1.4.25),
+ python-py (>= 1.4.29),
  python-twisted-core,
  python-pexpect,
  python-nose,
@@ -14,7 +16,7 @@
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
- python3-py (>= 1.4.25),
+ python3-py (>= 1.4.29),
  python3-nose,
  python3-mock (>= 1.0.1),
  python3-setuptools,
@@ -30,14 +32,12 @@
 
 Package: python-pytest
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  python-pkg-resources,
- python-py (>= 1.4.25),
+ python-py (>= 1.4.29),
  ${misc:Depends},
  ${python:Depends}
 Suggests: python-mock (>= 1.0.1)
-Breaks: python-py (<< 1.4)
-Replaces: python-py (<< 1.4)
 Description: Simple, powerful testing in Python
  This testing tool has for objective to allow the developers to limit the
  boilerplate code around the tests, promoting the use of built-in
@@ -45,9 +45,9 @@
 
 Package: python3-pytest
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  python3-pkg-resources,
- python3-py (>= 1.4.25),
+ python3-py (>= 1.4.29),
  ${misc:Depends},
  ${python3:Depends}
 Description: Simple, powerful testing in Python3
@@ -60,7 +60,7 @@
 Package: python-pytest-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python-pytest | python3-pytest
 Description: Simple, powerful testing in Python - Documentation
  This testing tool has for objective to allow the developers to limit the

## pytest 2.8.5

=== debian/changelog ===
pytest (2.8.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Depend on python-tox as jessie did not have tox.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 30 Jan 2016 05:23:58 +0200

pytest (2.8.5-2) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - Reduce duplication between python-pytest and python-pytest-doc.
    - Build documentation in *build* step and not in install step.
  * debian/control: Remove XS-Testsuite, no longer needed.
  * Revert parts of c6eb0d1da9bdf2a0cfb40d69711e8a88e86d4657 and bring back
    rtinstall, rtremove, postinstall and prerm for python3-pytest. (Closes:
    #808763)
    Until we decide that py.test-X.Y scripts are not desired, this method
    actually generates them correctly and does not require a sourceful upload
    whenever the set of supported Python 3 version changes.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Jan 2016 15:59:35 +0100

pytest (2.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control: Update the Vcs-* fields for git.
  * d/patches:
    - local-intersphinx: Removed; no longer necessary.
    - remove-herokuapp-images: Removed; no longer necessary.
    - remove_google_js: Updated.
  * d/rules:
    - Convert to --buildsystem=pybuild
    - override_dh_compress, override_dh_install, override_dh_auto_clean,
      override_dh_clean: Removed; let pybuild do it all for us.
    - override_dh_auto_test: Updated.
    - override_dh_installdocs: Added.
    - override_dh_auto_install: Added for tweaking the /usr/bin scripts
      shebang lines.
  * d/py.test.template: Removed.
  * d/*.install, *.postinst, *.prerm, *.rtinstall, *.rtremove: Removed.
  * d/tests: Since the unittests run during package build, we only need a
    couple of smoketests in the DEP-8 tests, just to ensure that pytest
    can be invoked on a simple Python test file.
  * wrap-and-sort

 -- Barry Warsaw <barry@debian.org>  Thu, 17 Dec 2015 19:41:09 -0500

pytest (2.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/issue844-py35-compat: Removed, applied upstream.

 -- Barry Warsaw <barry@debian.org>  Tue, 15 Sep 2015 17:11:36 -0400

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-doc,
               python-mock (>= 1.0.1),
               python-nose,
               python-pexpect,
               python-py (>= 1.4.29),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-twisted-core,
               python3-all (>= 3.1.2-6~),
               python3-mock (>= 1.0.1),
               python3-nose,
               python3-py (>= 1.4.29),
               python3-setuptools,
               python-tox
Build-Conflicts: python-pytest-xdist (<< 1.5)
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0
Standards-Version: 3.9.6
Homepage: http://pytest.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest.git

Package: python-pytest
Architecture: all
Depends: python-pkg-resources,
         python-py (>= 1.4.29),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-mock (>= 1.0.1)
Description: Simple, powerful testing in Python
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.

Package: python3-pytest
Architecture: all
Depends: python3-pkg-resources,
         python3-py (>= 1.4.29),
         ${misc:Depends},
         ${python3:Depends}
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py3.test script.

Package: python-pytest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-pytest | python3-pytest
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=pytest
export PYBUILD_VERBOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=`pwd` make -C doc/en man
	cp doc/en/_build/man/pytest.1 debian/py.test.1
	cp debian/py.test.1 debian/py.test-3.1
	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1
	PYTHONPATH=`pwd` make -C doc/en/ html

# 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
# use a custom temporary directory (which is easier to clean up manually,
# e.g. in an sbuild).
override_dh_auto_test:
	TMPDIR=`mktemp -t -d pytest.XXXXXXXXXX` \
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd $$TMPDIR && {interpreter} -m pytest --lsof -rfsxX --ignore={dir}/testing/cx_freeze {dir}/testing" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-pytest/usr/bin/py.test \
	   debian/python3-pytest/usr/bin/py.test-3
	rm -f debian/python3-pytest/usr/bin/py.test-3.*
	rm -rf debian/python3-pytest/usr/lib/python3.5

override_dh_auto_clean:
	rm -rf doc/en/_build
	rm -f debian/py.test.1 debian/py.test-3.1
	rm -rf pytest.egg-info .cache
	dh_auto_clean

=== debian/tests/control ===
Tests: smoketest-2

Tests: smoketest-3

## pytest 2.8.7

=== debian/changelog ===
pytest (2.8.7-4) unstable; urgency=medium

  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.7.
    - Update Vcs-Git.
  * Better hanlding of py.test-X.Y. (Closes: #814834)
    - debian/patches/drop-entrypoints-logic.patch: Upstream patch to no longer
      generate py.test-X.Y entry points.
    - debian/python-pytest.links: Provide py.test-2.7 and manpage via symlink
      until we can drop them.
    - debian/rules: No longer remove unwanted artifacts, as they are no longer
      produced.
  * debian/rules: Build man and html in one call.
  * debian/tests/control: Reduce dependencies of tests to what is actually
    needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Feb 2016 22:08:06 +0100

pytest (2.8.7-3) unstable; urgency=medium

  * Team upload.
  * Revert changes from 2.8.7-2 that included /usr/bin/pytest-3.X in the
    package (Closes: #814622)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Feb 2016 16:36:55 +0100

pytest (2.8.7-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Don't trim artifacts.

 -- Barry Warsaw <barry@debian.org>  Thu, 11 Feb 2016 14:38:16 -0500

pytest (2.8.7-1) unstable; urgency=medium

  * Team upload.

  [ Corey Bryant ]
  * d/control: Drop tox from build-depends.

  [ Barry Warsaw ]
  * New upstream release.
  * d/tests:
    - control: Add a Depends to pick up all supported Python 3 versions.
    - smoketest-{2,3}: Run the smoke tests against all installed versions
      of Python, instead of the supported versions.

 -- Barry Warsaw <barry@debian.org>  Mon, 08 Feb 2016 17:22:46 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Simon Chopin <chopin.simon@gmail.com>
+Uploaders: Simon Chopin <chopin.simon@gmail.com>,
+           Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6-3~),
@@ -19,13 +20,12 @@
                python3-nose,
                python3-py (>= 1.4.29),
                python3-setuptools,
-               python-tox
 Build-Conflicts: python-pytest-xdist (<< 1.5)
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.0
-Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.7
 Homepage: http://pytest.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest.git
 
 Package: python-pytest

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=`pwd` make -C doc/en man
+	PYTHONPATH=`pwd` $(MAKE) -C doc/en man html
 	cp doc/en/_build/man/pytest.1 debian/py.test.1
 	cp debian/py.test.1 debian/py.test-3.1
 	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
 	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
 	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1
-	PYTHONPATH=`pwd` make -C doc/en/ html
 
 # 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
 # use a custom temporary directory (which is easier to clean up manually,
@@ -31,8 +30,6 @@
 	dh_auto_install
 	mv debian/python3-pytest/usr/bin/py.test \
 	   debian/python3-pytest/usr/bin/py.test-3
-	rm -f debian/python3-pytest/usr/bin/py.test-3.*
-	rm -rf debian/python3-pytest/usr/lib/python3.5
 
 override_dh_auto_clean:
 	rm -rf doc/en/_build

=== debian/tests/control ===
Tests: smoketest-2
Depends: python-pytest

Tests: smoketest-3
Depends: python3-pytest, python3-all

## pytest 2.9.2

=== debian/changelog ===
pytest (2.9.2-3) unstable; urgency=medium

  * No change rebuild because
    - w-b does not handle versioned Provides, and
    - python-pytest-doc got removed by the auto-decrufter which thought the
      binary package was removed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jul 2016 20:01:13 +0200

pytest (2.9.2-2) unstable; urgency=medium

  * debian/patches/intersphinx.patch: Use local intersphinx mappings. (Closes:
    #830566)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 14 Jul 2016 23:06:09 +0200

pytest (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/{rules,clean}: Move some parts of the clean override.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Jun 2016 21:59:49 +0200

pytest (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Do not enable verbose dh and pybuild output.
    - Remove temporary directory for tests.
  * debian/copyright: Update copyright years and add myself.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Mar 2016 14:30:21 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Build-Conflicts: python-pytest-xdist (<< 1.5)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://pytest.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pytest

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc/en man html
	cp doc/en/_build/man/pytest.1 debian/py.test.1
	cp debian/py.test.1 debian/py.test-3.1
	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1

# 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
# use a custom temporary directory (which is easier to clean up manually,
# e.g. in an sbuild).
override_dh_auto_test:
	mkdir -p debian/tmp/test-working-directory
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd debian/tmp/test-working-directory && {interpreter} -m pytest --lsof -rfsxX --ignore={dir}/testing/cx_freeze {dir}/testing" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-pytest/usr/bin/py.test \
	   debian/python3-pytest/usr/bin/py.test-3

override_dh_auto_clean:
	rm -rf doc/en/_build
	rm -rf pytest.egg-info .cache
	dh_auto_clean
